Get a flagged address
With every change to the flag, newest first, and every case at the address.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
address-flags
/
{id}
Get a flagged address
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"flag": {
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
},
"history": [
{
"id": "<string>",
"action": "flagged",
"reasons": [
"<string>"
],
"notes": "<string>",
"removed_reason": "<string>",
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "<string>"
}
}
],
"cases": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a flagged address
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"flag": {
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
},
"history": [
{
"id": "<string>",
"action": "flagged",
"reasons": [
"<string>"
],
"notes": "<string>",
"removed_reason": "<string>",
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "<string>"
}
}
],
"cases": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
